version: '3'
services:
  frontend:
    image: node:22
    working_dir: /app
    volumes:
      - ./frontend:/app
      - /app/node_modules
    ports:
      - "3000:3000"
    command: sh -c "npm install && npm start"
    environment:
      NODE_ENV: development

  backend:
    build:
      context: ./backend
      dockerfile: ./docker/Dockerfile.dev
    volumes:
      - ./backend:/app
      - /app/node_modules
    command: sh -c "npm install && npm start"
    environment:
      - NODE_ENV=development
    depends_on:
      - mongo

  mongo:
    image: mongo:latest
    ports:
      - "27017:27017"
    volumes:
      - mongo-data:/data/db

  nginx:
    image: nginx:latest
    volumes:
      - ./nginx/nginx.conf:/etc/nginx/conf.d/default.conf
    ports:
      - "80:80"
    depends_on:
      - frontend
      - backend

volumes:
  mongo-data: